Functions
FLAG_Management
Peripheral Driver » LL Driver » DUAL_TIMER » Functions

## Functions
__STATIC_INLINE void | ll_dual_timer_clear_flag_it (dual_timer_regs_t *DUAL_TIMERx)
| Clear the interrupt flag (INTSTAT). More...
__STATIC_INLINE uint32_t | ll_dual_timer_is_active_flag_it (dual_timer_regs_t *DUAL_TIMERx)
| Indicate whether interrupt flag (INTSTAT) is set (interrupt is pending). More...
__STATIC_INLINE uint32_t | ll_dual_timer_get_raw_it_flag (dual_timer_regs_t *DUAL_TIMERx)
| Get Dual_timer raw interrupt flags. More...

## Detailed Description

## Function Documentation

## ◆ ll_dual_timer_clear_flag_it()

__STATIC_INLINE void ll_dual_timer_clear_flag_it | ( | dual_timer_regs_t * | DUAL_TIMERx | ) |

Clear the interrupt flag (INTSTAT).

\rst +———————-+———————————–+ | Register | BitsName | +======================+===================================+ | INTCLR | INTCLR | +———————-+———————————–+ \endrst

Parameters

  DUAL_TIMERx | Timer instance

Return values

  None |

Definition at line 624 of file gr55xx_ll_dual_tim.h.

## ◆ ll_dual_timer_get_raw_it_flag()

__STATIC_INLINE uint32_t ll_dual_timer_get_raw_it_flag | ( | dual_timer_regs_t * | DUAL_TIMERx | ) |

Get Dual_timer raw interrupt flags.

\rst +———————-+———————————–+ | Register | BitsName | +======================+===================================+ | RAW_INTSTAT | RAW_INTSTAT | +———————-+———————————–+ \endrst

Parameters

  DUAL_TIMERx | Timer instance

Return values

  State | of bit (1 or 0).

Definition at line 662 of file gr55xx_ll_dual_tim.h.

## ◆ ll_dual_timer_is_active_flag_it()

__STATIC_INLINE uint32_t ll_dual_timer_is_active_flag_it | ( | dual_timer_regs_t * | DUAL_TIMERx | ) |

Indicate whether interrupt flag (INTSTAT) is set (interrupt is pending).

\rst +———————-+———————————–+ | Register | BitsName | +======================+===================================+ | INTSTAT | INTSTAT | +———————-+———————————–+ \endrst

Parameters

  DUAL_TIMERx | Timer instance

Return values

  State | of bit (1 or 0).

Definition at line 643 of file gr55xx_ll_dual_tim.h.